import 'package:flutter/services.dart';
import 'package:get/get.dart';

class IdCardScanState {
  /// bool 相机是否已经加载完毕
  final _isCameraReady = false.obs;
  set isCameraReady(value) => _isCameraReady.value = value;
  bool get isCameraReady => _isCameraReady.value;

  /// 是否正在识别身份证
  final _isIdCardScanning = false.obs;
  set isIdCardScanning(value) => _isIdCardScanning.value = value;
  bool get isIdCardScanning => _isIdCardScanning.value;

  /// 是否正在进行人脸录入
  final _isRunningFaceInput = false.obs;
  set isRunningFaceInput(value) => _isRunningFaceInput.value = value;
  bool get isRunningFaceInput => _isRunningFaceInput.value;

  /// 是否正在使用前置相机
  final _isUsingFrontCamera = false.obs;
  set isUsingFrontCamera(value) => _isUsingFrontCamera.value = value;
  bool get isUsingFrontCamera => _isUsingFrontCamera.value;

  /// 正在处理中的图像的本地路径
  final _processingImageLocalPath = ''.obs;
  set processingImageLocalPath(value) =>
      _processingImageLocalPath.value = value;
  String get processingImageLocalPath => _processingImageLocalPath.value;

  /// 本地离线正在处理中的图像的Uint8List
  final Rx<Uint8List?> _processingImageUint8List = Rx(null);
  set processingImageUint8List(value) =>
      _processingImageUint8List.value = value;
  Uint8List? get processingImageUint8List => _processingImageUint8List.value;
}
